#!/usr/bin/env python3
"""zmq broker server scripts"""

import argparse
from vxsched.brokers import vxZMQEventBrokerServer

if __name__ == "__main__":

    parser = argparse.ArgumentParser(description="""zmq event broker server""")
    parser.add_argument(
        "--host",
        help="bind ip address,default: any ip address on the server",
        default="*",
        type=str,
    )
    parser.add_argument(
        "-p",
        "--port",
        help="bind ports,default: 5555",
        default=5555,
        type=int,
    )
    parser.add_argument(
        "-k", "--keyfile", help="private key file path", default="", type=str
    )
    args = parser.parse_args()
    url = f"tcp://{args.host}:{args.port}"
    server = vxZMQEventBrokerServer(url, args.keyfile)
    server.start()
